MEMSET(3)

NAME
memset - write a byte to byte string

LIBRARY
libc

SYNOPSIS
#include <string.h>
void *
memset(void *b, int c, size_t len);

DESCRIPTION
The memset() function writes len bytes of value c (converted to an unsigned char) to the string b.

RETURN VALUES
The memset() function returns the original value of b.

Note that the compiler may optimize away a call to memset() if it can prove that the string will not be used by the program again, for example if it is allocated on the stack and about to out of scope. If you want to guarantee that zeros are written to memory, for example to sanitize a buffer holding a cryptographic secret, use explicit_memset(3).

SEE ALSO
bzero(3), explicit_memset(3), swab(3)

STANDARDS
The memset() function conforms to ansiC.